module PandaPal
  class ApplicationController < ActionController::Base
    around_action :share_controller_on_thread

    def share_controller_on_thread
      Thread.current[:controller] = self
      yield
    ensure
      Thread.current[:controller] = nil
    end
  end
end
