PandaPal::Engine.routes.draw do
  get '/config' => 'lti_v1_p0#tool_config' # Legacy Support

  get "/call_logic" => "api_call#call"
  post "/call_logic" => "api_call#call"

  scope '/v1p0', as: 'v1p0' do
    get '/config' => 'lti_v1_p0#tool_config'
    post '/launch' => 'lti_v1_p0#launch'
  end

  scope '/v1p3', as: 'v1p3' do
    get '/config' => 'lti_v1_p3#tool_config'
    post '/oidc_login' => 'lti_v1_p3#login'
    get '/oidc_login' => 'lti_v1_p3#login'
    post '/resource_link_request' => 'lti_v1_p3#resource_link_request'
    get '/public_jwks' => 'lti_v1_p3#public_jwks'
  end
end
