class CreatePandaPalOrganizations < PandaPal::MiscHelper::MigrationClass
  def change
    create_table :panda_pal_organizations do |t|
      t.string :name
      t.string :key
      t.string :secret
      t.string :canvas_account_id
      t.text :settings

      t.timestamps null: false
    end
    add_index :panda_pal_organizations, :name, unique: true
    add_index :panda_pal_organizations, :key, unique: true
  end
end
